Subject: bug#38844: 28.0.50; Incorrect result by help-fns--mention-first-release

From: Xu Chunyang <[email-masked]>
Date: Wed, 1 Jan 2020 20:58:42 +0800

I just noticed 27.1 in "Probably introduced at or before Emacs version
27.1." is clickable and linked to relevant NEWS entry. It makes more
sense to me now.

On Wed, Jan 1, 2020 at 7:38 PM Xu Chunyang <[email-masked]> wrote:
>
> Another case is the function file-size-human-readable, C-h f says it
> probably is added in 27.1, but I checked it's available in 24.5,
> though NEWS.27 does mention the function
>
> > ** The function 'file-size-human-readable' accepts more optional arguments.
>
> On Wed, Jan 1, 2020 at 6:22 PM Eli Zaretskii <[email-masked]> wrote:
> >
> > On January 1, 2020 11:36:28 AM GMT+02:00, Xu Chunyang <[email-masked]> wrote:
> > > C-h f exec-path mentions "Probably introduced at or before Emacs
> > > version 22.1.", however, according to NEWS.27 the function exec-path
> > > is introduced in Emacs 27.1. I checked that Emacs 24.5 doesn't provide
> > > the function exec-path.
> >
> > That's because 'exec-path' the variable was introduced a long time ago.  The heuristics we use to search the NEWS files for symbols cannot distinguish between diffetent kinds that have the same names